APIs / Trainline / Journeys Page
Trainline: Journeys Page
Journeys Page from Trainline as JSON. 1 credit per successful call.
GET /v1/trainline/journeys-page
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
search_id | string | Required | Any |
direction | string | Optional | outward, inward |
page | string | Optional | next, previous |
transport_mode | string | Optional | all, train, coach |
currency | string | Optional | GBP, EUR |
Example request
curl "https://api.perceptlayer.com/v1/trainline/journeys-page" \
-H "X-API-Key: $API_KEY"